LINUX.ORG.RU

vi, давай, до свиданья!

 , , ,


1

1

Я видел мельком, но вот решил убедиться, и правда, так и есть, наконец-то разум восторжествовал над застарелыми привычками.

Что сказать?! Когда-то, я залез в технический раздел ЛОРа (каюсь, да, правила не читал, модераторы справедливо всё потёрли и шкворцов поубавилось, больше так не делаю) и развел там небольшой, но весёлый срачик на тему Vi vs Nano, где тулил за то, что nano это хорошо, удобно, просто и всем зайдет, а vi наоборот и с этим надо что-то делать.

И что теперь?! А вот что, в категории ChangeAcceptedF33 мы видим UseNanoByDefault, такие дела. И какие рассуждения там встречаем? А вот.

<...> You need to spend time learning how to use it, for even basic editing tasks. This increases the barrier to entry for those who are switching to Fedora and don't know how to use vi. It also makes things hard for those who don't particularly want to learn how to use vi. <...>

In contrast, Nano offers the kind of graphical text editing experience that people are used to, and therefore doesn't require specialist knowledge to use. <...>

Why make Nano default and vi optional, rather than the other way round? Because Nano is the option that everyone can use. 

Походу будет создан пакетик nano-default-editor, который вытянет nano и установит $EDITOR=nano, которая в федоре была не определена по умолчанию.

Я понимаю, что с виду вроде бы мелкое какое-то дельце, но на самом деле это огромный шаг в сторону пользователя со стороны мейнстримового дистрибутива, и я ещё раз убеждаюсь, что не прогадал.

Ваши мнения. Что в других дистрах? Знаю что в дебиане nano всегда устанавливается, но по умолчанию кажется вызывается vi. В федоре его и ставить-то стали недавно, если не ошибаюсь ещё в 30-ке его не было, а тут раз – и такой поворот.

Для Ъ: https://fedoraproject.org/wiki/Changes/UseNanoByDefault

Ответ на: комментарий от wandrien

Да, я знаю. Но это чисто GNOME’овская либа, которая была когда-то отделена от GTK+, да и разрабатывается-то она GNOME-разработчиками, даже хостится у них: https://developer.gnome.org/glib/

Собственно тут всё написано: https://en.wikipedia.org/wiki/GLib

EXL ★★★★★ ()
Ответ на: комментарий от anonymous

а оно работает даже в таком виде

Не работает оно без glib как ты об этом с пылу жару удтверждаешь.

EXL ★★★★★ ()
Ответ на: комментарий от EXL

Ну она нормально разрабатывается, в отличие от многих других кусков стека гнома. Не вижу смысла переживать на этот счёт.

Хотя при сборке старого кода выплёвывает километровые листинги сообщений об устаревших API. Но перехода на glib3 с отбросом всех deprecated фич на горизонте не намечается, вроде.

wandrien ()
Ответ на: комментарий от wandrien

Да я и не переживаю, просто смешно наблюдать за действиями тулкитофобов, которые тут так рьяно пишут «GNOME-стек не нужен, им практически никто уже не пользуется!», а потом забавно садятся в лужу, когда им показываешь, что их любимый Qt, Palemoon и т. д. зависит от всяких там GLib и GStreamer, которые разрабатывают как раз ненавистные им GNOME’овцы.

GStreamer вон даже фишку с чётными/нечётными версиями для обозначения стабильных релизов использует.

EXL ★★★★★ ()
Ответ на: комментарий от EXL

Поставь Gentoo, удали glib, gtk+ и проверь. Если ты пробовал и у тебя не получилось это не значит, что у других не получится, особенно спустя время.

anonymous ()
Ответ на: комментарий от EXL

У меня нет любимых программ. И я предпочту пользоваться Otter или Falkon с легкостью. Говори в следующий раз за себя, а то упрощаешь все так, что сам глупо выглядишь.

anonymous ()
Ответ на: комментарий от anonymous

Если ты пробовал и у тебя не получилось это не значит, что у других не получится, особенно спустя время.

Ты доказательств того, что у тебя что-то там «получилось» так и не привёл. Всё что ты смог – выполнить ldd на враппере-лаунчере Palemoon весом 170 КБ и авторитетно заявить, смотрите мол, тут нет зависимостей от glib и gtk, шах и мат.

Поставь Gentoo, удали glib, gtk+ и проверь.

Нет спасибо, у меня есть личная жизнь.

EXL ★★★★★ ()
Последнее исправление: EXL (всего исправлений: 1)
Ответ на: комментарий от anonymous

Где вывод i shared?

удали glib, gtk+

Ещё ничего не значит.

X512 ()
Ответ на: комментарий от EXL

Что? Мне нужно делать кому-то как он того желает или мне верить себе и открыто заявлять то, что я вижу и слышу. А раз ты не способен в виртуалке собрать генту, за пару часов того, что нужно, чтобы проверить, то не выдумывай почему ты там не станешь этого делать.

anonymous ()
Ответ на: комментарий от X512

Да смысл этого всего этого спора? Любой, кто общался с кодовой базой Firefox (он же Palemoon), знает что там активно используется GTK+. Ранее использовался GTK+2, а сейчас только GTK+3: Firefox окончательно удаляет поддержку GTK+2

Поэтому заявления типа «мой любимый Palemoon работает без этого вашего GTK+» просто смешны и требовать доказательства можно лишь в качестве троллинга неофита.


А вообще, мало кто знает, но с десятилетие назад Firefox можно было действительно собрать без зависимости от GTK+, с зависимостью от Qt: cairo-qt.

Например, я когда-то собирал Firefox юзающий чистый Qt, выглядел он так: https://i.imgur.com/WipW4GK.png и был очень сырым и глючным, потому что порт развивали 1.5 человека из Jolla для своих внутренних нужд. Но вот уже как 5 лет из репозитория Firefox начисто выпилена ветка widgets/qt. И я считаю, что это довольно плохо. Ведь тогда можно было бы перенести Firefox на Haiku без каких-либо особых проблем.

Это кстати когда-то давно обсуждалось с Герасимом @threedeyes:

http://esxi.z-lab.me:666/~exl_lab/screens/haiku_firefox_qt_3deyes.png

Инфу см. отсюда по ссылке и ниже: Firefox Qt5 не компилится :-/ (комментарий)

А чего тебя в Telegram-чатике Haiku нету? Он весьма активный. По-крайней мере раньше был.

EXL ★★★★★ ()
Ответ на: комментарий от X512

Какой i shared?

вот вывод emerge

[ebuild  N     ] dev-libs/glib-2.64.5  USE="dbus (mime) xattr -debug -fam -gtk-doc (-selinux) -static-libs -systemtap -test -utils" ABI_X86="32 (64) (-x32)" 
[ebuild  N     ] x11-libs/gtk+-3.24.22  USE="X cups introspection wayland xinerama (-aqua) -broadway -cloudprint -colord -examples -gtk-doc -test -vim-syntax" ABI_X86="(64) -32 (-x32)"
anonymous ()
Ответ на: комментарий от anonymous

А раз ты не способен в виртуалке собрать генту, за пару часов того, что нужно, чтобы проверить

Я не способен тратить пару часов на доказательство очевиднейших для меня вещей, уж прости. Бремя доказательства лежит на утверждающем, то есть на тебе.

EXL ★★★★★ ()
Последнее исправление: EXL (всего исправлений: 1)
Ответ на: комментарий от anonymous

Прямо какая-то диверсия против Gentoo’шников. Первый раз встречаю человека, который пользуется Gentoo и не умеет пользоваться gdb. Теперь понятно почему Portage у тебя считется святой коровой.

EXL ★★★★★ ()
Ответ на: комментарий от wandrien

Glib

Педивикия: GLib is a bundle of three (formerly five) low-level system libraries written in C and developed mainly by GNOME. GLib’s code was separated from GTK, so it can be used by software other than GNOME and has been developed in parallel ever since.

Ссылка на сам glib https://developer.gnome.org/glib/

И если GnomeLIB используется как низкоуровневая библиотека, то это заслуга гномоделов. Потому как я не знаю про низкоуровневые либы, ведущие на qt.io

utanho ()
Ответ на: комментарий от EXL

А зачем дебаггер автомаиизированной системе сборки? И никакой диверсии. У меня в отличие от других гентушников все получается.

anonymous ()
Ответ на: Glib от utanho

И если GnomeLIB используется как низкоуровневая библиотека, то это заслуга гномоделов.

Не сказал бы, что современных гномоделов. Других гномоделов, которые подарили нам GNOME 2, например. Вот их заслуга, бесспорно.

EXL ★★★★★ ()
Ответ на: комментарий от anonymous

И никакой диверсии. У меня в отличие от других гентушников все получается.

Только с доказательствами, отличными от «внезапно работают» у тебя не особо получается.

EXL ★★★★★ ()
Ответ на: комментарий от EXL

И мне нет нужды доказывать. Вот убрать все и оставить несчастный палмун. Система сборки тут не влияет. Библиотек glib нет совсем, gtk+ полностью отсутствует, но звук и видео работает.

anonymous ()
Ответ на: комментарий от EXL

Нашел glib. Только непонятно чего он его не снес. В общем это не особо важно. Потому что почти все на glib завязано и сносить ее не имеет практического смысла.

anonymous ()
Ответ на: комментарий от anonymous

Обязательно найди ещё GTK у Pale Moon, ну чтобы не казаться тут невеждой.

EXL ★★★★★ ()
Ответ на: комментарий от EXL

Да мне как-то это не нужно. Главное - это избавиться от GTK. Потом уже пробовать собрать палемун из исходников. Будет требовать GTK пойдет на фиг.

anonymous ()
Ответ на: комментарий от EXL

Краснопанда

Ранее использовался GTK+2, а сейчас только GTK+3: Firefox окончательно удаляет поддержку GTK+2

Заявление о полном переходе на гтк3 не совсем соответсвуют действительности. Без установленного гтк2 панда не соберется.

utanho ()
Ответ на: комментарий от EXL

Нашел и удалил эту скотину. Разработчики Gentoo подкинули проблем. Теперь ни палмун ни фаерфокс ни вивальда не стартуют. Наконец то. Правда mpv все еще работает нормально.

anonymous ()
Ответ на: комментарий от anonymous

Разработчики генту тут ни при чем. Это всё ваше непонимание ситуации.

utanho ()
Ответ на: комментарий от utanho

Да неужели? Когда удаляется любой другой пакет он удаляется. А каким образом в Gentoo библиотеки glib и gtk остаются на месте неизвестно.

anonymous ()
Ответ на: комментарий от anonymous

Неизвестно только для вас. Вы, судя по всему, имеете очень туманное представление о том, что делаете.

utanho ()
Ответ на: комментарий от utanho

Я удаляю пакет в пакетнои менеджере, который используется и при установке системы. И проблема в программистах, которые криво сделали это дело. Если кому-то удастся на странице пакета увидеть нечто указывающее на его франкенштейновскую сущность тот будет шизофреником года.

https://packages.gentoo.org/packages/dev-libs/glib

https://packages.gentoo.org/packages/x11-libs/gtk+

anonymous ()
Ответ на: комментарий от anonymous

ЯННП. Зачем ссылки на гтк и глиб? Вам уже пятьдесят раз написали, кеды без гномолиб не работают. Нигде. Гента и ее погромисты тут не виноваты. Если вам не нравится текущее положение дел, пишите разработчикам кутей/кед. Или лично Путину. Или в ЕСПЧ. Или сразу в спортлото.

utanho ()
Ответ на: комментарий от Xintrea

Если запускать nano из MC (а обычно так и делается), то окажется что в MC сочетание Ctrl+O тоже забиндено на переключение файловой панели и консоли. И поэтому из nano не выйдешь. Это эпикфейл, господа луноходы.

А в micro ctrl+o на что-нибудь забинджено если из мс открывать?

grem ★★★★★ ()
Ответ на: Micro от utanho

При открытии micro из мс : ctrl+o - свернуть панели и мс это перехватит

grem ★★★★★ ()
Последнее исправление: grem (всего исправлений: 1)
Ответ на: комментарий от grem

Это неважно, главное - правильные хоткеи, не то, что в нано.

utanho ()
Ответ на: комментарий от grem

В этом обсуждении было много стенаний о хоткеях нано. Какие они неправильные и как тяжело простому погромисту. Один даже негодовал, что у него не выходится из нано, открытого из мс. То ли дело ви/вим. Там все просто и понятно.

utanho ()
Ответ на: комментарий от anonymous

Потом уже пробовать собрать палемун из исходников. Будет требовать GTK пойдет на фиг.

Конечно будет, он без него не работает вообще.

Нашел и удалил эту скотину. Разработчики Gentoo подкинули проблем. Теперь ни палмун ни фаерфокс ни вивальда не стартуют. Наконец то.

👍

Правда mpv все еще работает нормально.

Для того, чтобы mpv перестал работать, ты должен удалить GNOME Lib (glib). От GTK+ mpv не зависит.

EXL ★★★★★ ()
Последнее исправление: EXL (всего исправлений: 1)
Ответ на: комментарий от grem

Звучит точно так же, как:

Они там правильные, как в Vi.

EXL ★★★★★ ()
Ответ на: комментарий от utanho

При чем здесь кеды? Я устанавливал только конкретные программы на QT. Они работают без gtk библиотек. Остальное какая-то отсебятина пошла. Если интересно то это sway, bspwm.

anonymous ()
Ответ на: комментарий от anonymous

Много чего работает без гтк, но мало что работает без гномолиб.

utanho ()
Ответ на: комментарий от utanho

Уже писал, что glib только требуется для запуска почти всего, что не в консоли работает. А раз это не кусок gtk, то и пофиг. Gtk отдельно, glib отдельно.

anonymous ()
Ответ на: комментарий от anonymous

Неизбежность

Утешайте себя этим

Отрицание, гнев, торг, депрессия, принятие.

П.С. Как обстоят дела с QtMultimedia? Она завязана на GnomeStreamer.

utanho ()
Последнее исправление: utanho (всего исправлений: 2)
Ответ на: комментарий от anonymous

Раньше это было куском GTK+, Glib именно из GTK+ свою родословную держит. Сейчас это не GTK+, но кусочек GNOME-стека. Как и GStreamer, например.

EXL ★★★★★ ()
Ответ на: комментарий от EXL

Посмотрел в зависимости qtmultimedia. Убрали vlc, неужто не взлетело? Так и сидят на gst и glib.

utanho ()
Ответ на: Неизбежность от utanho

Re: Неизбежность

Зачем утешения? Надоест, так можно будет свою версию написать. А что с ктмультимедией не так? Mpv точно работает и без нее. Может и в браузере заработает, уже с ней.

anonymous ()
Ответ на: комментарий от utanho

Посмотрел в зависимости qtmultimedia. Убрали vlc, неужто не взлетело?

А там когда-то был VLC? Я этого не припоминаю. Это вроде у Phonon’а одним из Backend’ов был vlc. Но где Phonon и Qt 5.

Для Qt 5 есть мультимедиа фреймворк без использования GStreamer, называется он QtAV и разрабатывается китайцами. Под капотом использует FFmpeg вместо GStreamer. В официальное дерево проектов Qt не входит, сторонняя библиотека.

EXL ★★★★★ ()
Последнее исправление: EXL (всего исправлений: 1)
Ответ на: Re: Неизбежность от anonymous

А что с ктмультимедией не так?

Для меня всё так. Для тебя – она зависит от технологий GNOME – GStreamer.

EXL ★★★★★ ()
Последнее исправление: EXL (всего исправлений: 1)
Ответ на: комментарий от EXL

Ага пусть было. Это как с Sailfish. Когда-то они могли кочевряжиться и блокировать людей с русскими айпишниками. А теперь когда официально не только они glib пишут, то уже не важно.

anonymous ()
Закрыто добавление комментариев для недавно зарегистрированных пользователей (со score < 50)